<?php
/*------------------------------------------------------------------------
# BIT Linked Checkboxes
# ------------------------------------------------------------------------
# author:    Barg-IT
# copyright: Copyright (C) 2018 Barg-IT
# @license:  http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Website:   http://www.barg-it.de
-------------------------------------------------------------------------*/

defined('_JEXEC') or die;

$fieldValue = $field->value;

if ($fieldValue === '' || $fieldValue === null) {
    return;
}

$fieldValue = (array) $fieldValue;
$texts = array();
$options = $this->getOptionsFromField($field);

foreach ($options as $value => $name) {
    if (in_array((string) $value, $fieldValue)) {
        $texts[] = JText::_($name);
    }
}

echo htmlentities(implode(', ', $texts));

